[pytango] 231/483: Continuous Integration for PyTango Test Suite

Sandor Bodo-Merle sbodomerle-guest at moszumanska.debian.org
Thu Sep 28 19:14:44 UTC 2017


This is an automated email from the git hooks/post-receive script.

sbodomerle-guest pushed a commit to annotated tag bliss_8.10
in repository pytango.

commit 56e316fe4b31454075c8169c33ebd6c68c7121ad
Author: trogucki <trogucki at 4e9c00fd-8f2e-0410-aa12-93ce3db5e235>
Date:   Thu Jan 31 20:39:42 2013 +0000

    Continuous Integration for PyTango Test Suite
    
    git-svn-id: http://svn.code.sf.net/p/tango-cs/code/bindings/PyTango/trunk@22013 4e9c00fd-8f2e-0410-aa12-93ce3db5e235
---
 ci/ALBA/build.sh               | 39 +++++++++++++++++++++++++++++---
 ci/ALBA/build_scr              | 19 ----------------
 ci/build.sh                    |  2 +-
 {ci => tests/ci}/ALBA/build.sh | 50 ++++++++++++++++++++++++++++++++----------
 {ci => tests/ci}/build.sh      |  2 +-
 5 files changed, 77 insertions(+), 35 deletions(-)

diff --git a/ci/ALBA/build.sh b/ci/ALBA/build.sh
index 7cb7d46..5b490d5 100755
--- a/ci/ALBA/build.sh
+++ b/ci/ALBA/build.sh
@@ -1,13 +1,11 @@
 #!/bin/bash
 
-echo "## In ALBA/build.sh ##"
-
-
 if [ ! -z "$NODE_NAME" -a -f "$NODE_NAME" ]
 then
 	source "$NODE_NAME"
 else
 	echo "The settings file for the node $NODE_NAME does not exist!"
+	echo "Create ci/$INSTITUTE/$NODE_NAME file."
 	exit 1
 fi
 
@@ -16,11 +14,46 @@ export TANGO_ROOT=/tmp/jenkins/jobs/TangoLib
 cd ../..
 
 python setup.py build
+
+if [ $? != 0 ]
+then
+	exit $?
+fi
+
 python setup.py install --prefix=/tmp/jenkins/jobs/PyTango
 
 exit $?
 
 
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 echo LOG4TANGO_ROOT
 echo $LOG4TANGO_ROOT
 echo OMNI_ROOT
diff --git a/ci/ALBA/build_scr b/ci/ALBA/build_scr
deleted file mode 100644
index d4497fb..0000000
--- a/ci/ALBA/build_scr
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/bash
-
-pwd
-
-export LD_LIBRARY_PATH=/tmp/jenkins/jobs/TangoLib/lib:$LD_LIBRARY_PATH
-export CPLUS_INCLUDE_PATH=/tmp/jenkins/jobs/TangoLib/include:$CPLUS_INCLUDE_PATH
-
-make user=1 prefix=/tmp/jenkins/jobs install
-
-make user=1 prefix=/tmp/jenkins/jobs install
-
-export PYTHONPATH=/tmp/jenkins/jobs/PyTango:$PYTHONPATH
-
-python ../../tests/DevTest.py pytomasz &
-
-python ../../tests/TestSuite.py
-
-ps -ef | awk '/DevTest.py/ {print$2}' | xargs kill -9
-
diff --git a/ci/build.sh b/ci/build.sh
index 088ad1e..9ea91e1 100755
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -16,5 +16,5 @@ else
 		echo "Go to Jenkins dashboard -> Manage Jenkins -> Global Properties, tick Environment Variables and add a key-value pair: name - INSTITUTE, value - YourInstituteName."
 		echo "Check out the project. Go to the 'ci' directory and create a 'YourInstituteName' subdirectory. In the 'YourInstituteName' subdirectory create a 'build.sh' file which will contain the recipe how to build your project. Make the 'build.sh' file executable. Commit changes."
 	fi
-	exit -1
+	exit 1
 fi
diff --git a/ci/ALBA/build.sh b/tests/ci/ALBA/build.sh
similarity index 75%
copy from ci/ALBA/build.sh
copy to tests/ci/ALBA/build.sh
index 7cb7d46..1f63bca 100755
--- a/ci/ALBA/build.sh
+++ b/tests/ci/ALBA/build.sh
@@ -1,24 +1,52 @@
 #!/bin/bash
 
-echo "## In ALBA/build.sh ##"
+export PYTHONPATH=/tmp/jenkins/jobs/PyTango
 
+cd ../..
+
+python DevTest.py pytomasz &
 
-if [ ! -z "$NODE_NAME" -a -f "$NODE_NAME" ]
+if [ $? != 0 ]
 then
-	source "$NODE_NAME"
-else
-	echo "The settings file for the node $NODE_NAME does not exist!"
-	exit 1
+	exit $?
 fi
 
-export TANGO_ROOT=/tmp/jenkins/jobs/TangoLib
+python TestSuite.py --device1=dev/pytomasz/1
+
+expor EX = $?
+
+ps -ef | grep DevTest.py | awk '{print $2}' | xargs kill -9
+
+exit $EX
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 
-cd ../..
 
-python setup.py build
-python setup.py install --prefix=/tmp/jenkins/jobs/PyTango
 
-exit $?
 
 
 echo LOG4TANGO_ROOT
diff --git a/ci/build.sh b/tests/ci/build.sh
similarity index 98%
copy from ci/build.sh
copy to tests/ci/build.sh
index 088ad1e..9ea91e1 100755
--- a/ci/build.sh
+++ b/tests/ci/build.sh
@@ -16,5 +16,5 @@ else
 		echo "Go to Jenkins dashboard -> Manage Jenkins -> Global Properties, tick Environment Variables and add a key-value pair: name - INSTITUTE, value - YourInstituteName."
 		echo "Check out the project. Go to the 'ci' directory and create a 'YourInstituteName' subdirectory. In the 'YourInstituteName' subdirectory create a 'build.sh' file which will contain the recipe how to build your project. Make the 'build.sh' file executable. Commit changes."
 	fi
-	exit -1
+	exit 1
 fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pytango.git



More information about the debian-science-commits mailing list